from typing import Any, Dict, List, Type, TypeVar

import attr

T = TypeVar("T", bound="CancelReservationRequest")


@attr.s(auto_attribs=True)
class CancelReservationRequest:
    """
    Attributes:
        reservation_id (int):
    """

    reservation_id: int
    additional_properties: Dict[str, Any] = attr.ib(init=False, factory=dict)

    def to_dict(self) -> Dict[str, Any]:
        reservation_id = self.reservation_id

        field_dict: Dict[str, Any] = {}
        field_dict.update(self.additional_properties)
        field_dict.update(
            {
                "reservationId": reservation_id,
            }
        )

        return field_dict

    @classmethod
    def from_dict(cls: Type[T], src_dict: Dict[str, Any]) -> T:
        d = src_dict.copy()
        reservation_id = d.pop("reservationId")

        cancel_reservation_request = cls(
            reservation_id=reservation_id,
        )

        cancel_reservation_request.additional_properties = d
        return cancel_reservation_request

    @property
    def additional_keys(self) -> List[str]:
        return list(self.additional_properties.keys())

    def __getitem__(self, key: str) -> Any:
        return self.additional_properties[key]

    def __setitem__(self, key: str, value: Any) -> None:
        self.additional_properties[key] = value

    def __delitem__(self, key: str) -> None:
        del self.additional_properties[key]

    def __contains__(self, key: str) -> bool:
        return key in self.additional_properties
